<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="shop.alien.mapper.LawyerChatSessionMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="shop.alien.entity.store.LawyerChatSession">
        <id column="id" property="id" />
        <result column="consultation_order_id" property="consultationOrderId" />
        <result column="client_user_id" property="clientUserId" />
        <result column="lawyer_user_id" property="lawyerUserId" />
        <result column="session_type" property="sessionType" />
        <result column="status" property="status" />
        <result column="last_message_id" property="lastMessageId" />
        <result column="last_message_time" property="lastMessageTime" />
        <result column="delete_flag" property="deleteFlag" />
        <result column="created_time" property="createdTime" />
        <result column="created_user_id" property="createdUserId" />
        <result column="updated_time" property="updatedTime" />
        <result column="updated_user_id" property="updatedUserId" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id, consultation_order_id, client_user_id, lawyer_user_id, session_type, status,
        last_message_id, last_message_time, delete_flag, created_time, created_user_id,
        updated_time, updated_user_id
    </sql>

</mapper>
